Subject: [Fot] FOT Decals

From: Joe Alexander <[email-masked]>
Date: Tue, 28 May 2013 15:07:01 -0500

I didnt expect such a flurry of activity on the decals. We are moving quickly
past 70 of 100 being delivered.

I did a spread sheet but may make some mistakes in delivery. If you get too
many or none at all, let me know and I will deal with it.

We could run another 100, but I am not real anxious to do this right away.

Thanks to everyone for their enthusiasm. Makes the whole thing a lot of fun.

Thanks,

Joe A.
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive